<?php
/**
 * Customizer panels.
 *
 * @package ECD
 */

/**
 * Add a custom panels to attach sections too.
 */
function ecd_customize_panels( $wp_customize ) {

	// Register a new panel.
	$wp_customize->add_panel( 'site-options', array(
		'priority'       => 10,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => esc_html__( 'Site Options', 'ecd' ),
		'description'    => esc_html__( 'Other theme options.', 'ecd' ),
	) );
}
add_action( 'customize_register', 'ecd_customize_panels' );
