<?php
/**
 * Customizer sections.
 *
 * @package ECD
 */

/**
 * Register the section sections.
 */
function ecd_customize_sections( $wp_customize ) {

	// Register additional scripts section.
	$wp_customize->add_section(
		'ecd_additional_scripts_section',
		array(
			'title'    => esc_html__( 'Additional Scripts', 'ecd' ),
			'priority' => 10,
			'panel'    => 'site-options',
		)
	);

	// Register a footer section.
	$wp_customize->add_section(
		'ecd_footer_section',
		array(
			'title'    => esc_html__( 'Footer Customizations', 'ecd' ),
			'priority' => 90,
			'panel'    => 'site-options',
		)
	);
}
add_action( 'customize_register', 'ecd_customize_sections' );
