<?php
$title = get_field('news_title');
$text = get_field('news_text');
$args = array( 'posts_per_page'     =>  4,
               'post_type'          =>  'post',
             );
$news = new WP_Query($args);
?>
<section class="news-section">

    <div class="container">
        <h2 class="section-title"><?php echo $title; ?></h2>

        <p class="text"><?php echo $text; ?></p>

        <div class="posts-wrap">
            <?php while ( $news->have_posts() ) : $news->the_post(); ?>

                <?php get_template_part( 'template-parts/content', 'post' ); ?>

            <?php endwhile; ?>
        </div>
    </div>

</section>