<?php
$title = get_field('how_to_start_title');
$text = get_field('how_to_start_text');
$link = (get_field('test_link')) ? ecd_acf_link(get_field('test_link'), 'orange-link') : '';
?>
<section class="start-section">

    <div class="container">
        <h2 class="section-title"><?php echo $title; ?></h2>
        
        <?php echo $link; ?>

        <p class="text"><?php echo $text; ?></p>

        <div class="steps-wrap">
            <?php while (have_rows('steps')) : the_row(); ?>
                <?php if ( get_row_index() > 1 ) : ?><i class="fas fa-chevron-right"></i><?php endif; ?>
                <div class="step-wrap">
                    <h3><?php the_sub_field('title'); ?></h3>
                    <p><?php the_sub_field('text'); ?></p>
                </div>
            <?php endwhile; ?>
        </div>

        <?php echo ecd_acf_link(get_field('register_link', 'option'), 'button orange border'); ?>
    </div>

</section>