<?php
$title = get_field('why_title');
?>
<section class="why-section">

    <div class="container">
        <h2 class="section-title"><?php echo $title; ?></h2>

        <div class="items-wrap">
            <?php while (have_rows('items')) : the_row(); ?>
                <div class="item-wrap">
                    <div class="icon"><?php echo wp_get_attachment_image( get_sub_field( 'icon' ), 'full' ); ?></div>
                    <h3><?php the_sub_field('title'); ?></h3>
                    <p><?php the_sub_field('text'); ?></p>
                </div>
            <?php endwhile; ?>
        </div>
    </div>

</section>