<?php

/**
 * Template Name: Provisions
 */

get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <?php while (have_posts()) : the_post(); ?>

            <?php get_template_part('template-parts/page-hero'); ?>

            <section class="provision-section">
                <?php while (have_rows('row')) : the_row(); ?>
                    <div class="provision-wrap">
                        <div class="container">
                            <h3><?php the_sub_field('title'); ?></h3>
                            <div class="text"><?php the_sub_field( 'text' ); ?></div>
                            <?php echo ecd_acf_link( get_sub_field( 'link' ), 'button orange border' ); ?>
                        </div>
                    </div>
                <?php endwhile; ?>
            </section>

        <?php endwhile; ?>
    </main><!-- #main -->
</div><!-- #primary -->

<?php
get_footer();
