<?php

add_action('wp_ajax_events_loadmore', 'events_loadmore_ajax_handler'); // wp_ajax_{action}
add_action('wp_ajax_nopriv_events_loadmore', 'events_loadmore_ajax_handler'); // wp_ajax_nopriv_{action}

function events_loadmore_ajax_handler(){

	$current_page = ( $_POST['currentPage'] ) ? $_POST['currentPage'] : '';
    $current_page++;
	$type = ( $_POST['type'] ) ? $_POST['type'] : '';

	$args = array( 'post_type'        =>  	$type,
				   'posts_per_page'   =>  	3,
				   'paged'            =>  	$current_page
				 );
	$wp_query = new WP_Query( $args );

	if( $wp_query->have_posts() ) :

		while( $wp_query->have_posts() ): $wp_query->the_post();

			get_template_part( 'template-parts/content', $type );

		endwhile;

	endif;
	die;
}