<?php

/**
 * The template for displaying the search form.
 *
 * @package ECD
 */

?>

<form method="get" class="search-form" action="<?php echo esc_url(home_url()); ?>">
    <input class="search-field" id="search-field" type="text" name="s" value="<?php echo get_search_query() ?>" aria-required="false" autocomplete="off" placeholder="<?php echo esc_attr_x('Search', 'ecd') ?>" />
    <button class="submit"><svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 18 18">
            <g id="Group_1760" data-name="Group 1760" transform="translate(-1391 -40.234)">
                <path id="Icon_Search" data-name="Icon Search" d="M56.474,26.472a1.78,1.78,0,0,1-2.511,0L50.3,22.809A7.456,7.456,0,1,1,52.813,20.3l3.661,3.664A1.773,1.773,0,0,1,56.474,26.472ZM49.716,13.184a4.616,4.616,0,1,0,0,6.528A4.615,4.615,0,0,0,49.716,13.184Z" transform="translate(1352.005 31.244)" fill="#5f91c7" fill-rule="evenodd" />
            </g>
        </svg>
    </button>
    <input name="post_type" type="hidden" value="post" />
</form>