<?php
$title = get_field('numbers_title');
?>
<section class="numbers-section">

    <div class="container">
        <h2 class="section-title"><?php echo $title; ?></h2>

        <div class="numbers-wrap">
            <?php while (have_rows('numbers')) : the_row(); ?>
                <?php $number = get_sub_field('number'); ?>
                <div class="number-wrap">
                    <div class="icon"><?php echo wp_get_attachment_image(get_sub_field('icon'), 'full'); ?></div>
                    <h3><span class="count-to" data-from="0" data-to="<?php echo number_format( $number, 0,",","" ); ?>" data-speed="2000"></span><?php the_sub_field( 'number_sign' ); ?></h3>
                    <p><?php the_sub_field('text'); ?></p>
                </div>
            <?php endwhile; ?>
        </div>
    </div>

</section>